Skip to main content
`Ctrl`+`K`

# DMDASetVertexCoordinates

Sets the lower and upper coordinates for a `DMDA`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetVertexCoordinates(DM dm, PetscReal xl, PetscReal xu, PetscReal yl, PetscReal yu, PetscReal zl, PetscReal zu)

Logically Collective

## Input Parameters

- dm - The `DMDA` object

- xl - the lower x coordinate

- xu - the upper x coordinate

- yl - the lower y coordinate

- yu - the upper y coordinate

- zl - the lower z coordinate

- zu - the upper z coordinate

## See Also

DMPlex: Unstructured Grids, `DM`, `DMDA`

## Level

intermediate

## Location

src/dm/impls/da/dalocal.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages